// -*- c++ -*-
/***************************************************************************
                           kdetvimagepool.h
                           ----------------
    begin                : Sat Jun 12 2004
    copyright            : (C) 2004 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
 ***************************************************************************/

/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Steet, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef KDETVIMAGEPOOL_H
#define KDETVIMAGEPOOL_H

#include "kdetvimage.h"
#include "libkdetv_export.h"

class LIBKDETV_EXPORT KdetvImagePool
{
public:
    KdetvImagePool(unsigned int count=0, unsigned int size=0);
    virtual ~KdetvImagePool();

    KdetvSharedImage* getImage();

    void setSize(unsigned int count, unsigned int size);
    
protected:
    friend class KdetvPooledImage;

    void* getImageStorage();
    void putImage(KdetvPooledImage* img);

    KdetvPooledImage* _first;
    int               _fillLevel;
    int               _minFillLevel;
    unsigned char*    _images;
    unsigned int      _bufSize;
};

#endif //KDETVIMAGEPOOL_H
